from pydantic import BaseModel


class CityTimezone(BaseModel):
    city: str = 'invalid city'
    timezone: str = 'invalid timezone'


class Timezones(BaseModel):
    timezones: list[CityTimezone] = None


class TimezonesRequest(BaseModel):
    language: str = 'ru'


class CityByTimezoneRequest(BaseModel):
    language: str = 'ru'
    timezone: str = '0'
